> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List user teams

> Returns a list of all teams the user belongs to




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /user/teams
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /user/teams:
    get:
      tags:
        - User profile
      summary: List user teams
      description: |
        Returns a list of all teams the user belongs to
      operationId: get-user-teams
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                when team is recent (created within last month):
                  value:
                    data:
                      - id: team_NYGwel1RnbC44GX83lamhRe8Jjw
                        type: teams
                        attributes:
                          name: 687 Team
                          slug: 687-team
                          address: 595 Schmitt Mountains, West Frances, NJ 39049-3937
                          currency: BRL
                          created_at: '2026-01-09T15:57:13+00:00'
                          updated_at: '2026-01-14T15:57:13+00:00'
                          status: verified
                          enforce_mfa: false
                          users:
                            - id: user_Mzw8rQR7yyS9p5pyWrzBfyxrMV4
                              first_name: Jaime
                              last_name: Ziemann
                              email: codi_hand@miller.test
                              created_at: '2026-01-08T00:00:00.000Z'
                              updated_at: '2025-01-27T00:00:00.000Z'
                              role:
                                id: role_V1aYWNZmvlhrk9eoK58JSrY0MX4
                                name: owner
                                created_at: '2025-05-01T00:00:00.000Z'
                                updated_at: '2026-11-05T00:00:00.000Z'
                          projects: []
                          owner:
                            id: user_Mzw8rQR7yyS9p5pyWrzBfyxrMV4
                            first_name: Jaime
                            last_name: Ziemann
                            email: codi_hand@miller.test
                            created_at: '2026-01-08T00:00:00.000Z'
                            updated_at: '2025-01-27T00:00:00.000Z'
                            role:
                              id: role_V1aYWNZmvlhrk9eoK58JSrY0MX4
                              name: owner
                              created_at: '2025-05-01T00:00:00.000Z'
                              updated_at: '2026-11-05T00:00:00.000Z'
                          billing:
                            id: bill_mw49QDB5qagKb
                            customer_billing_id: cus_dluxyhyhjii4qk
                          feature_flags: []
                          limits:
                            bare_metal: 5
                            bare_metal_gpu: 1
                            virtual_machine: 5
                            virtual_machine_gpu: 3
                            database: null
                            filesystem: null
                            block_storage: null
                    meta: {}
                when team is older than one month:
                  value:
                    data:
                      - id: team_NXK2MpJXgzU8AGjryZ09Hper7l5
                        type: teams
                        attributes:
                          name: 688 Team
                          slug: 688-team
                          address: >-
                            Apt. 492 6439 Salvatore Lodge, Denatown, MD
                            56634-2611
                          currency: BRL
                          created_at: '2025-11-14T15:57:13+00:00'
                          updated_at: '2026-01-14T15:57:13+00:00'
                          status: verified
                          enforce_mfa: false
                          users:
                            - id: user_MbwWpJ37LMt9rBj1E47PFVomyzB7
                              first_name: Nieves
                              last_name: Huel
                              email: nickolas@weimann.example
                              created_at: '2025-11-16T00:00:00.000Z'
                              updated_at: '2025-04-20T00:00:00.000Z'
                              role:
                                id: role_97mkkRl14RCEzQbYeXJ0t905XMN
                                name: owner
                                created_at: '2025-08-08T00:00:00.000Z'
                                updated_at: '2026-10-14T00:00:00.000Z'
                          projects: []
                          owner:
                            id: user_MbwWpJ37LMt9rBj1E47PFVomyzB7
                            first_name: Nieves
                            last_name: Huel
                            email: nickolas@weimann.example
                            created_at: '2025-11-16T00:00:00.000Z'
                            updated_at: '2025-04-20T00:00:00.000Z'
                            role:
                              id: role_97mkkRl14RCEzQbYeXJ0t905XMN
                              name: owner
                              created_at: '2025-08-08T00:00:00.000Z'
                              updated_at: '2026-10-14T00:00:00.000Z'
                          billing:
                            id: bill_AW6Q2D9lqKLpr
                            customer_billing_id: cus_nnflz4ow2j6zv9
                          feature_flags: []
                          limits:
                            bare_metal: null
                            bare_metal_gpu: 1
                            virtual_machine: 5
                            virtual_machine_gpu: 3
                            database: null
                            filesystem: null
                            block_storage: null
                    meta: {}
              schema:
                $ref: '#/components/schemas/user_teams'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.user_profile.list_teams()

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.UserProfile.ListTeams(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.UserTeams != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.userProfile.listTeams();

              console.log(result);
            }

            run();
components:
  schemas:
    user_teams:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/user_team'
        meta:
          type: object
    user_team:
      type: object
      properties:
        id:
          type: string
        attributes:
          type: object
          properties:
            name:
              type: string
            slug:
              type: string
            description:
              type: string
              nullable: true
            address:
              type: string
              nullable: true
            currency:
              type: string
            created_at:
              type: string
            updated_at:
              type: string
            owner:
              $ref: '#/components/schemas/user_include'
            billing:
              type: object
              properties:
                id:
                  type: string
                customer_billing_id:
                  type: string
    user_include:
      type: object
      properties:
        id:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
        authentication_factor_id:
          type: string
          nullable: true
        created_at:
          type: string
        updated_at:
          type: string
        role:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            created_at:
              type: string
            updated_at:
              type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````